/*
crcplot_config.h - include file for sunplot, xplot and plotps, and crcplot.a
*/

#ifndef _crcplot_config_h
#define _crcplot_config_h

static const char rcsid_crcplot_config_h[] = 
"$Id: crcplot_config.h,v 1.3 2000/04/19 18:48:02 ccrawford Exp $";

#include <stdio.h>	/* for plot_fd */

			/* where xplot save graphics */
#define PLOTNAME "/var/tmp/xplot.data"

			/* port number for xplot and sunplot */
#define PORT 8124

			/* completion signal sent by xplot and sunplot */
#define HANDSHAKE1 0x72
#define HANDSHAKE2 0x27
#define CMD_MOUSE1 HANDSHAKE1
#define CMD_MOUSE2 (HANDSHAKE1+1)

			/* horizontal and vertical offsets for plotps */
#define HOR 0.5					
#define VER 0.5
			/* scale factor for plotps */
#define SCALE_D 60

#endif /* _crcplot_config_h */
