/*	
	ex12.c - demonstrates qplot
*/
#ident "$Id: ex12.c,v 1.3 2007/05/22 15:33:04 ccrawford Exp $"
#include <math.h>
#include <crcplot.h>
#include <unistd.h>
#include <stdlib.h>
#include <parse.h>

static void
cmdout(cmd)
char *cmd;
{
	fputs(cmd,stderr);
	fputs("\n",stderr);
	system(cmd);
}

int
main(){
	int i;
	float x[631],y[631];
	char *cmd;
/*
	generate data and save in external files
*/
	for(i=0;i<630;i++){	/* compute data */
		x[i] = cos(3.0 * i / 100) + 1.0;
		y[i] = sin(4.0 * i / 100);
	}
	parse_wda(x,630,1,"x");
	parse_wda(y,630,1,"y");
/*
	simulation prompt invocation of qplot
*/
	cmd = "../plot/qplot -@ y ylen=2 xl=y=solid,x=dash yp=-.5 scale=.6 xp=1";
	cmdout(cmd);
	cmd = "../plot/qplot -@ x ylen=2 -ead yp=-.5 scale=.6 xp=1";
	cmdout(cmd);
	cmd = "../plot/qplot -@ y=y x=x yl=lissajous len=4 yp=3 -e scale=.5 xp=1";
	cmdout(cmd);
/*
	clean up
*/
	unlink("x.da");
	unlink("y.da");
	exit(0);
}
