/*
	ex8.c - curve example
*/
#ident "$Id: ex8.c,v 1.4 2007/05/22 15:33:04 ccrawford Exp $"
#include <crcplot.h>
#include <stdlib.h>

int
main()
{
	static float x[] = {1.,2.,3.,4.,5.,6.,7.,7.3,8.};
	static float y[] = {4.,3.,2.,3.,4.,4.,4.,3.,4.};
	int i;
/*
	initialize
*/
	plots();
	clear();
	plot(1.,1.,-3);
/*
	draw dashed curve
*/
	curve(x,y,9,-.05);
/*
	draw symbol at each data point
*/
	for(i=0;i<9;i++) 
		symbol(x[i],y[i],.14,(char *)0,0.,-1);
/*
	terminate plotting
*/
	plot(0.,0.,999);
	exit(0);
}
