/*
check - check variables for ranges

parse_pcheck - check integer ranges
parse_fcheck - check float ranges
*/

#ident "$Id: check.c,v 1.4 2007/05/22 15:51:51 ccrawford Exp $"

#include <stdlib.h>
#include "parse.h"

void 
parse_pcheck (int i, int imin, int imax, char *s)
{
	if(i >= imin && i <= imax)return;
	fprintf(stderr,"%s [%d (%d,%d)]\n",s,i,imin,imax);
	exit(1);
}

void 
parse_fcheck (double i, double imin, double imax, char *s)
{
	if(i >= imin && i <= imax)return;
	fprintf(stderr,"%s [%f (%f,%f)]\n",s,i,imin,imax);
	exit(1);
}
